#!/bin/bash

echo "========================= [Begin here] ============================"
echo "Checking for /tmp/Wineskin..."
if [ -e /tmp/Wineskin ]; then
	echo "    found:"
	ls -ld /tmp/Wineskin
	ls -l /tmp/Wineskin/
else
	echo "    not found."
fi

echo "Checking for temporary WS files..."
ls -ld /tmp/xWSx*

echo "Testing connectivity to the OriginsRO server..."
echo "   (this may take a while)"

nc -z -G 5 -w 5 game.originsro.org 80
nc -z -G 5 -w 5 game.originsro.org 443
nc -z -G 5 -w 5 game.originsro.org 6120
nc -z -G 5 -w 5 game.originsro.org 6121
nc -z -G 5 -w 5 game.originsro.org 6122

echo "========================== [End here] ============================="
